Description

Hi,

i experienced some problems with DynDNS update.

When the gateway is down (connection lost) and then come back connected, DynDns service is unable to update with the new IP.

Below a part of then log.

As you can see @9:43 the WANPHONEGW is up but i receive an error getting the new IP and DynDNS doesn't retry to update till to

10:32 when i connected and forced DynDNS to update.

What could be the matter?

Thanks

Alessandro

May 10 10:32:27 php-fpm 5332 /services_dyndns_edit.php: phpDynDNS (clcphone.dyndns.org): (Success) IP Address Changed

Successfully!

May 10 10:32:27 php-fpm 5332 /services_dyndns_edit.php: phpDynDNS: updating cache file

/conf/dyndns_opt1dyndns-custom'clcphone.dyndns.org'0.cache: 2.193.49.196

May 10 10:32:27 php-fpm 5332 /services_dyndns_edit.php: Dynamic DNS dyndns-custom (clcphone.dyndns.org): 2.193.49.196

extracted from checkip.dyndns.org

May 10 10:32:23 php-fpm 5332 /services_dyndns_edit.php: Dynamic DNS dyndns-custom (clcphone.dyndns.org): _checkStatus()

starting.

May 10 10:32:23 php-fpm 5332 /services_dyndns_edit.php: Dynamic DNS dyndns-custom (clcphone.dyndns.org): _update() starting.

May 10 10:32:23 php-fpm 5332 /services_dyndns_edit.php: Dynamic DNS (clcphone.dyndns.org): running get_failover_interface for

opt1. found igb6_vlan100

May 10 10:32:23 php-fpm 5332 /services_dyndns_edit.php: Dynamic DNS dyndns-custom (clcphone.dyndns.org): 2.193.49.196

extracted from checkip.dyndns.org

May 10 10:32:22 php-fpm 5332 /services_dyndns_edit.php: Dynamic DNS: updatedns() starting

May 10 10:32:22 check_reload_status Syncing firewall

May 10 10:30:50 php-fpm /index.php: Successful login for user 'admin' from: 172.19.0.2

May 10 10:30:47 php-fpm /index.php: Session timed out for user 'admin' from: 172.19.0.2

May 10 09:44:04 php-fpm 12371 /rc.dyndns.update: Dynamic DNS (clcphone.dyndns.org) There was an error trying to determine the

public IP for interface - opt1 (igb6_vlan100 ).

May 10 09:44:04 php-fpm 12371 /rc.dyndns.update: Dynamic DNS (clcphone.dyndns.org): running get_failover_interface for opt1.

found igb6_vlan100

May 10 09:44:04 php-fpm 12371 /rc.dyndns.update: Dynamic DNS dyndns-custom (clcphone.dyndns.org): IP address could not be

extracted from checkip.dyndns.org

May 10 09:43:34 php-fpm 57573 /rc.openvpn: OpenVPN: One or more OpenVPN tunnel endpoints may have changed its IP.

Reloading endpoints that may use WANPHONEGW.

May 10 09:43:34 php-fpm 12371 /rc.dyndns.update: Dynamic DNS: updatedns() starting

May 10 09:43:34 php-fpm 12371 /rc.dyndns.update: MONITOR: WANPHONEGW is available now, adding to routing group

WANGROUP_PHONE 8.8.4.4|192.168.250.2|WANPHONEGW|51.762ms|5.473ms|4%|none

May 10 09:43:33 check_reload_status Reloading filter

May 10 09:43:33 check_reload_status Restarting OpenVPN tunnels/interfaces

May 10 09:43:33 check_reload_status Restarting ipsec tunnels

May 10 09:43:33 check_reload_status updating dyndns WANPHONEGW

May 10 09:42:29 php-fpm 29721 /rc.dyndns.update: Dynamic DNS (clcphone.dyndns.org) There was an error trying to determine the
public IP for interface - opt1 (igb6_vlan100 ).

May 10 09:42:29 php-fpm 29721 /rc.dyndns.update: Dynamic DNS (clcphone.dyndns.org): running get_failover_interface for opt1.

found igb6_vlan100

May 10 09:42:29 php-fpm 29721 /rc.dyndns.update: Dynamic DNS dyndns-custom (clcphone.dyndns.org): IP address could not be

extracted from checkip.dyndns.org

May 10 09:41:59 php-fpm 12371 /rc.filter_configure_sync: Gateways status could not be determined, considering all as up/active.

(Group: WANGROUP_PHONE)

May 10 09:41:59 php-fpm 12371 /rc.openvpn: OpenVPN: One or more OpenVPN tunnel endpoints may have changed its IP.

Reloading endpoints that may use WANPHONEGW.

May 10 09:41:59 php-fpm 29721 /rc.dyndns.update: Gateways status could not be determined, considering all as up/active. (Group:

WANGROUP_PHONE)

May 10 09:41:59 php-fpm 29721 /rc.dyndns.update: Dynamic DNS: updatedns() starting

May 10 09:41:59 php-fpm 29721 /rc.dyndns.update: Gateways status could not be determined, considering all as up/active. (Group:

WANGROUP_PHONE)

May 10 09:41:59 php-fpm 29721 /rc.dyndns.update: MONITOR: WANPHONEGW is down, omitting from routing group

WANGROUP_PHONE 8.8.4.4|192.168.250.2|WANPHONEGW|40.326ms|2.893ms|24%|down

May 10 09:41:58 check_reload_status Reloading filter

May 10 09:41:58 check_reload_status Restarting OpenVPN tunnels/interfaces

May 10 09:41:58 check_reload_status Restarting ipsec tunnels

May 10 09:41:58 check_reload_status updating dyndns WANPHONEGW

May 10 01:01:18 php-cgi rc.dyndns.update: phpDynDNS (vpnclc.dyndns.org): No change in my IP address and/or 25 days has not

passed. Not updating dynamic DNS entry.

Modify message

History

#1 - 03/27/2018 01:10 AM - Steven Perreau

I too have major Dynamic DNS issues. It quite simply doesn't work. We have pfSense clustered in mutiple sites, with WAN1 and WAN2 and

WANGROUP as the gateway group.

We lave a LAN and multiple subnets accessible via a layer 3 switch on the LAN subnet, referencec via static routes in pfSense.

However, DDNS on WAN1 failure never ever updates and thus is useless.

It sits foever with red text, it's bound to the WAN gateway group WANGROUP but somehow never updates.

Each WAN1 and WAN2 has unique DNS servers set and in all other aspects (except DDNS) work fine.

#2 - 03/30/2018 09:28 PM - Steven Perreau

I was looking forward to running 2.4.3 to see if dynamic DNS would work.

My latest testing on 2.4.3 is ddns still does NOT work.

I wonder if the issue is:

My gateway group consists of 2 CARP entries, WAN1 carp and WAN2 carp and I wonder wonder wonder if that's why ddns just never updates!

However, as it stands today, 2 pfsense in an HA cluster with multi WAN (WAN1 and WAN2) - on failing WAN1, ddns entry goes RED on the status

pages but never actually updates and goes green with the WAN2 carp address.

#3 - 08/19/2019 12:24 PM - Jim Pingle

- Status changed from New to Duplicate

- Assignee deleted (Ivor Kreso)

- Priority changed from Very High to Normal

Duplicated by #9435 but it has a more accurate description.
